{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "城市",
    "lanResTag" : "DE.LNAME.CITY",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[CITY]",
    "refFlag" : true
  },
  "caption" : "城市",
  "codeName" : "cityEditView",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/cityEditView.json",
  "funcViewMode" : "EDITVIEW",
  "memo" : "系统自动添加",
  "name" : "cityEditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "EditView",
  "getPSDEViewId" : "9d755bc4270b95bd996fdd65b7acc4d1",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic",
      "viewFieldName" : "visible"
    } ],
    "codeName" : "Usr0605003933",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "基础表格视图面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "引用布局面板",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "panelpart",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "contentHeight" : 54.0,
        "height" : 54.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header",
        "getPSLayout" : {
          "align" : "space-between",
          "dir" : "row",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 54,
          "heightMode" : "PX",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_header_left",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_captionbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "视图标题",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "captionbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          } ]
        }, {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_header_right",
          "getPSLayout" : {
            "dir" : "row",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_searchbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "搜索栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "searchbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "view_toolbar",
            "getPSLayout" : {
              "layout" : "FLEX"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "工具栏",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "toolbar",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "showCaption" : true
            } ]
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_searchform",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "shrink" : 0
        },
        "getPSPanelItems" : [ {
          "caption" : "搜索表单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "searchform",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      } ],
      "predefinedType" : "PANELPART",
      "showCaption" : true
    }, {
      "caption" : "表格",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "grid",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_text_dynamic",
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field_text_dynamic",
        "predefinedType" : "FIELD_TEXT_DYNAMIC"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "visible",
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "文本",
      "contentType" : "RAW",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_text",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItemGroupLogics" : [ {
        "groupOP" : "AND",
        "logicCat" : "PANELVISIBLE",
        "logicType" : "GROUP",
        "name" : "面板成员[static_text][面板显示]逻辑",
        "getPSPanelItemLogics" : [ {
          "condOp" : "ISNOTNULL",
          "dstModelField" : "FIELD_TEXT_DYNAMIC",
          "logicType" : "SINGLE",
          "name" : "逻辑项"
        } ],
        "relatedItemNames" : [ "field_text_dynamic" ],
        "notMode" : false
      } ],
      "getPSRawItem" : {
        "caption" : "动态显示",
        "contentType" : "RAW",
        "name" : "static_text",
        "predefinedType" : "STATIC_TEXT",
        "renderMode" : "TEXT"
      },
      "rawContent" : "动态显示",
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "4B483886-7364-436A-8A1A-05381DC952AD",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "EditView",
      "name" : "engine"
    } ],
    "getPSControls" : [ {
      "codeName" : "Main",
      "controlType" : "FORM",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City/PSFORMS/Main.json",
      "getGetDraftFromPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraftfrom",
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "getGetDraftPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraft",
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "logicName" : "主编辑表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        }, {
          "actionName" : "GETDRAFTFROM",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraftfrom",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        }, {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "编辑表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "FORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CITYID",
          "codeName" : "CityId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CITYNAME",
          "codeName" : "CityName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "cityname",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CITYNAME",
          "codeName" : "CityName"
        }
      }, {
        "id" : "createman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        }
      }, {
        "id" : "createdate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "id" : "updateman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "id" : "updatedate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "cityid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CITYID",
          "codeName" : "CityId"
        }
      } ],
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "基本信息",
          "lanResTag" : "CONTROL.DEFORM.CITY.MAIN.FORMPAGE.FORMPAGE1",
          "lanResType" : "CONTROL",
          "name" : "控件文本（CONTROL.*）[DEFORM.CITY.MAIN.FORMPAGE.FORMPAGE1]",
          "refFlag" : true
        },
        "caption" : "基本信息",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "getCapPSLanguageRes" : {
            "defaultContent" : "城市基本信息",
            "lanResTag" : "CONTROL.DEFORM.CITY.MAIN.GROUPPANEL.GROUP1",
            "lanResType" : "CONTROL",
            "name" : "控件文本（CONTROL.*）[DEFORM.CITY.MAIN.GROUPPANEL.GROUP1]",
            "refFlag" : true
          },
          "caption" : "城市基本信息",
          "codeName" : "group1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "group1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "defaultContent" : "城市名称",
              "lanResTag" : "DEF.LNAME.CITYNAME",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[CITYNAME]",
              "refFlag" : true
            },
            "caption" : "城市名称",
            "codeName" : "cityname",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "memo" : "<p>22</p>",
            "name" : "cityname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CITYNAME",
              "codeName" : "CityName"
            },
            "getPSEditor" : {
              "editorParams" : {
                "a" : "1",
                "1111" : "1111"
              },
              "editorStyle" : "A46ee3b03254126fdce",
              "editorType" : "TEXTBOX",
              "maxLength" : 200,
              "name" : "cityname"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "城市标识",
            "lanResTag" : "DEF.LNAME.CITYID",
            "lanResType" : "DEF.LNAME",
            "name" : "属性逻辑名称（DEF.LNAME.*）[CITYID]",
            "refFlag" : true
          },
          "caption" : "城市标识",
          "codeName" : "cityid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "cityid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CITYID",
            "codeName" : "CityId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "cityid"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "其它",
          "lanResTag" : "CONTROL.DEFORM.CITY.MAIN.FORMPAGE.FORMPAGE2",
          "lanResType" : "CONTROL",
          "name" : "控件文本（CONTROL.*）[DEFORM.CITY.MAIN.FORMPAGE.FORMPAGE2]",
          "refFlag" : true
        },
        "caption" : "其它",
        "codeName" : "formpage2",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage2",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "getCapPSLanguageRes" : {
            "defaultContent" : "操作信息",
            "lanResTag" : "CONTROL.DEFORM.CITY.MAIN.GROUPPANEL.GROUP2",
            "lanResType" : "CONTROL",
            "name" : "控件文本（CONTROL.*）[DEFORM.CITY.MAIN.GROUPPANEL.GROUP2]",
            "refFlag" : true
          },
          "caption" : "操作信息",
          "codeName" : "group2",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "group2",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "defaultContent" : "建立人",
              "lanResTag" : "DEF.LNAME.CREATEMAN",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
              "refFlag" : true
            },
            "caption" : "建立人",
            "codeName" : "createman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "建立时间",
              "lanResTag" : "DEF.LNAME.CREATEDATE",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
              "refFlag" : true
            },
            "caption" : "建立时间",
            "codeName" : "createdate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createdate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createdate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "更新人",
              "lanResTag" : "DEF.LNAME.UPDATEMAN",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
              "refFlag" : true
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updateman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "更新时间",
              "lanResTag" : "DEF.LNAME.UPDATEDATE",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
              "refFlag" : true
            },
            "caption" : "更新时间",
            "codeName" : "updatedate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updatedate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updatedate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
        }
      },
      "noTabHeader" : false,
      "name" : "form",
      "modelid" : "16764d47dc1c75dd1d1f6233f8f12f74",
      "modeltype" : "PSDEFORM_EDITFORM"
    }, {
      "codeName" : "EditViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "工具栏模板（默认编辑界面）",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.SAVE]",
          "refFlag" : true
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem3"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TEXT.*.SAVE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.SAVE]",
            "refFlag" : true
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TOOLTIP.*.SAVE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.SAVE]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.SAVE]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "caption" : "保存并新建",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem4",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem4"
        },
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandnew"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存并新建",
            "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
            "refFlag" : true
          },
          "caption" : "保存并新建",
          "codeName" : "SaveAndNew",
          "fullCodeName" : "SaveAndNew",
          "name" : "编辑界面_保存并新建操作",
          "getPSSysImage" : {
            "cssClass" : "sx-tb-saveandnew"
          },
          "predefinedType" : "EDITVIEW_SAVEANDNEWACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存并新建",
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "SaveAndNew",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存并新建",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "保存并关闭",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem5",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem5"
        },
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存并关闭",
            "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
            "refFlag" : true
          },
          "caption" : "保存并关闭",
          "codeName" : "SaveAndExit",
          "fullCodeName" : "SaveAndExit",
          "name" : "编辑界面_保存并退出操作",
          "getPSSysImage" : {
            "cssClass" : "sx-tb-saveandclose"
          },
          "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存并关闭",
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "SaveAndExit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存并关闭",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "tbitem6",
        "spanMode" : false
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "删除并关闭",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem7",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem7"
        },
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "删除并关闭",
            "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
            "refFlag" : true
          },
          "caption" : "删除并关闭",
          "codeName" : "RemoveAndExit",
          "fullCodeName" : "RemoveAndExit",
          "name" : "编辑界面_删除并退出操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "EDITVIEW_REMOVEANDEXITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除并关闭",
            "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "RemoveAndExit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "删除并关闭",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "tbitem8",
        "spanMode" : false
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem12",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem12"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TEXT.*.NEW",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.NEW]",
            "refFlag" : true
          },
          "caption" : "新建",
          "codeName" : "New",
          "fullCodeName" : "New",
          "name" : "编辑界面_新建操作",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "predefinedType" : "EDITVIEW_NEWACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TOOLTIP.*.NEW",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.NEW]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "New",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "新建",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "tbitem13",
        "spanMode" : false
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TEXT.*.COPY",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.COPY]",
          "refFlag" : true
        },
        "caption" : "拷贝",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem14",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem14"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "拷贝",
            "lanResTag" : "TBB.TEXT.*.COPY",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.COPY]",
            "refFlag" : true
          },
          "caption" : "拷贝",
          "codeName" : "Copy",
          "fullCodeName" : "Copy",
          "name" : "编辑界面_拷贝操作",
          "getPSSysImage" : {
            "glyph" : "xf0c5@FontAwesome",
            "cssClass" : "fa fa-copy"
          },
          "predefinedType" : "EDITVIEW_COPYACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "拷贝",
            "lanResTag" : "TBB.TOOLTIP.*.COPY",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.COPY]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Copy",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "拷贝",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TOOLTIP.*.COPY",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.COPY]",
          "refFlag" : true
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "tbitem16",
        "spanMode" : false
      }, {
        "caption" : "第一个记录",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem23",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem23"
        },
        "getPSSysImage" : {
          "glyph" : "xf049@FontAwesome",
          "cssClass" : "fa fa-fast-backward"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "第一个记录",
          "codeName" : "FirstRecord",
          "fullCodeName" : "FirstRecord",
          "name" : "编辑界面_第一个记录",
          "getPSSysImage" : {
            "glyph" : "xf049@FontAwesome",
            "cssClass" : "fa fa-fast-backward"
          },
          "predefinedType" : "EDITVIEW_FIRSTRECORDACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "FirstRecord",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "第一个记录",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : false,
        "showIcon" : true
      }, {
        "caption" : "上一个记录",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem24",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem24"
        },
        "getPSSysImage" : {
          "glyph" : "xf048@FontAwesome",
          "cssClass" : "fa fa-step-backward"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "上一个记录",
          "codeName" : "PrevRecord",
          "fullCodeName" : "PrevRecord",
          "name" : "编辑界面_上一个记录",
          "getPSSysImage" : {
            "glyph" : "xf048@FontAwesome",
            "cssClass" : "fa fa-step-backward"
          },
          "predefinedType" : "EDITVIEW_PREVRECORDACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "PrevRecord",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "上一个记录",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : false,
        "showIcon" : true
      }, {
        "caption" : "下一个记录",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem25",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem25"
        },
        "getPSSysImage" : {
          "glyph" : "xf051@FontAwesome",
          "cssClass" : "fa fa-step-forward"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "下一个记录",
          "codeName" : "NextRecord",
          "fullCodeName" : "NextRecord",
          "name" : "编辑界面_下一个记录",
          "getPSSysImage" : {
            "glyph" : "xf051@FontAwesome",
            "cssClass" : "fa fa-step-forward"
          },
          "predefinedType" : "EDITVIEW_NEXTRECORDACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "NextRecord",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "下一个记录",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : false,
        "showIcon" : true
      }, {
        "caption" : "最后一个记录",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem26",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem26"
        },
        "getPSSysImage" : {
          "glyph" : "xf050@FontAwesome",
          "cssClass" : "fa fa-fast-forward"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "最后一个记录",
          "codeName" : "LastRecord",
          "fullCodeName" : "LastRecord",
          "name" : "编辑界面_最后一个记录",
          "getPSSysImage" : {
            "glyph" : "xf050@FontAwesome",
            "cssClass" : "fa fa-fast-forward"
          },
          "predefinedType" : "EDITVIEW_LASTRECORDACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "LastRecord",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "最后一个记录",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : false,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "tbitem21",
        "spanMode" : false
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TEXT.*.HELP",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.HELP]",
          "refFlag" : true
        },
        "caption" : "帮助",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem22",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem22"
        },
        "getPSSysImage" : {
          "glyph" : "xf128@FontAwesome",
          "cssClass" : "fa fa-question"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "帮助",
            "lanResTag" : "TBB.TEXT.*.HELP",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.HELP]",
            "refFlag" : true
          },
          "caption" : "帮助",
          "codeName" : "Help",
          "fullCodeName" : "Help",
          "name" : "编辑界面_帮助操作",
          "getPSSysImage" : {
            "glyph" : "xf128@FontAwesome",
            "cssClass" : "fa fa-question"
          },
          "predefinedType" : "EDITVIEW_HELPACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "帮助",
            "lanResTag" : "TBB.TOOLTIP.*.HELP",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.HELP]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Help",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "帮助",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TOOLTIP.*.HELP",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.HELP]",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      } ],
      "xDataControlName" : "form",
      "modelid" : "a4eb00b17f8652bdf677cb4ed5231e63",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "EditViewdatainfobar",
      "controlType" : "DATAINFOBAR",
      "name" : "datainfobar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
      },
      "getPSControlParam" : {
        "id" : "datainfobar"
      }
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "城市",
        "lanResTag" : "DE.LNAME.CITY",
        "lanResType" : "DE.LNAME",
        "name" : "实体逻辑名称（DE.LNAME.*）[CITY]",
        "refFlag" : true
      },
      "caption" : "城市",
      "codeName" : "EditViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/City.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "refFlag" : false,
  "title" : "城市编辑视图",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "城市编辑视图",
    "lanResTag" : "PAGE.TITLE.CITY.EDITVIEW",
    "lanResType" : "PAGE",
    "name" : "界面文本（PAGE.*）[TITLE.CITY.EDITVIEW]",
    "refFlag" : true
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "c9c6a686d02dc944e163805d90c58189",
  "modeltype" : "PSAPPDEVIEW"
}